Jump to content

Assista click.png tectoy.png

C6 chamada_c6.png botao.png

The Cryptographic Service Provider type '24' is not supported


  • Este tópico foi criado há 1700 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui.

Recommended Posts

  • Membros Pro

Eu instalei um certificado A1 de um cliente do PR. estou fazendo testes com ele em SP.

Ao verificar o web services tudo funciona bem, mas ao tentar assinar uma XML de NFCe gera este erro :

Citar

The Cryptographic Service Provider type '24' is not supported

Eu verifiquei aqui mesmo no fórum muita coisa sobre o assunto, mas nenhuma das "soluções" funcionou.

Alguém tem idéia de como resolver o problema ?

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

  • Membros Pro
8 minutos atrás, Daniel Simoes disse:

Parece ser Windows desatualizado...

Se você não pode atualizar o Windows (Ex: XP, Pirata, etc)... use OpenSSL...

Windows é original, porém não faço atualização do Windows.

Tem idéia do que precisa atualizar ??

Uso Windows 7 Versão Professional 64 bits.

Outro detalhe, tenho mais uns 2 certificados A1 instalados e não deram o erro.

Usando a openSSL tenho o problema do tamanho do arquivo, como passado neste post

Por isso voltei a usar Capicom.

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

  • Consultores

Chegou a tentar esse tópico?

 

  • Like 1

[]'s

Consultor SAC ACBr

Elton
Profissionalize o ACBr na sua empresa, conheça o ACBr Pro.

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Um engenheiro de Controle de Qualidade(QA) entra num bar. Pede uma cerveja. Pede zero cervejas.
Pede 99999999 cervejas. Pede -1 cervejas. Pede um jacaré. Pede asdfdhklçkh.
Link to comment
Share on other sites

  • Membros Pro
1 minuto atrás, EMBarbosa disse:

Chegou a tentar esse tópico?

 

Sim, foi o primeiro tópico que consultei.

Tentei fazer a instalação no Windows XP, mas o mesmo não permite a instalação.

Tentei fazer via mozila sem sucesso também.

Tentei inclusive fazer via instalados da valid e da mesma forma o erro persiste.

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

  • Consultores
5 minutos atrás, Edevair Viesa Junior disse:

Tentei inclusive fazer via instalados da valid e da mesma forma o erro persiste

esse aplicativo da valid?

https://gerentesoft.blogspot.com.br/2014/06/erro-cryptographic-service-provider.html

  • Thanks 1

[]'s

Consultor SAC ACBr

Elton
Profissionalize o ACBr na sua empresa, conheça o ACBr Pro.

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Um engenheiro de Controle de Qualidade(QA) entra num bar. Pede uma cerveja. Pede zero cervejas.
Pede 99999999 cervejas. Pede -1 cervejas. Pede um jacaré. Pede asdfdhklçkh.
Link to comment
Share on other sites

  • Membros Pro
14 minutos atrás, EMBarbosa disse:

Eu havia feito o download do arquivo da própria Valid e não havia funcionado. Com o arquivo que baixei do link que você me passou, funcionou direitinho.

Muito Obrigado !

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

  • Fundadores
1 hora atrás, Edevair Viesa Junior disse:

Usando a openSSL tenho o problema do tamanho do arquivo, como passado neste post

Por isso voltei a usar Capicom.

Esse post cita um certificado A3... OpenSSL nunca foi compatível com A3

 

1 hora atrás, Edevair Viesa Junior disse:

Windows é original, porém não faço atualização do Windows.

Tem idéia do que precisa atualizar ??

Uso Windows 7 Versão Professional 64 bit

Isso é muito importante... um Windows desatualizado é extremamente vulnerável a malwares... Eu não sei lhe informar qual é a atualização necessária... isso seria uma pergunta para o Suporte da Microsoft

 

Usar o ACBr com OpenSSL e certificados A1 é extremamente simples... configure para libOpenSL, e aponte para onde está o arquivo PFX em "ACBrNFe1.Configuracoes.Certificados.ArquivoPFX"

  • Like 1
Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to comment
Share on other sites

  • Membros Pro
Citar

Esse post cita um certificado A3... OpenSSL nunca foi compatível com A3

Daniel, desculpe, falei bobagens mesmo... O que não havia dado certo é usando WinCrypt, realmente fiz a alteração de acordo com o poto Bye Bye Capicom, porém como no próprio post que criei, tive problemas quando n NFe tem muitos itens.

Porém de acordo com sua sugestão realmente é uma ótima idéia criar a opção de uso do OpenSSL quando o certificado for do tipo A1.

Citar

Isso é muito importante... um Windows desatualizado é extremamente vulnerável a malwares... Eu não sei lhe informar qual é a atualização necessária... isso seria uma pergunta para o Suporte da Microsoft

Bom eu particularmente não gosto de efetuar as atualizações do Windows, pois carregam bastante o SO e muitas vezes apresentam erros. Em relação aos Malwares, tudo depende do uso né ?? Mesmo assim obrigado pela dica. 

Abs

Citar

 

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

  • Fundadores
2 horas atrás, Edevair Viesa Junior disse:

Porém de acordo com sua sugestão realmente é uma ótima idéia criar a opção de uso do OpenSSL quando o certificado for do tipo A1.

Lembre-se que para usar o suporte a TLS1.2... você precisará atualizar para usar o OpenSSL superior a 1.0.

 

  • Like 1
Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to comment
Share on other sites

  • Membros Pro
Em 26/09/2017 at 11:43, Daniel Simoes disse:

Lembre-se que para usar o suporte a TLS1.2... você precisará atualizar para usar o OpenSSL superior a 1.0.

 

Ok Daniel, fiz a implementação com o OpenSSL e funcionou perfeitamente.

Muito Obrigado !

  • Like 2

_____________________________________

Junior - Rhovanion Tecnologia

(11) 4224.6543

Link to comment
Share on other sites

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.